Bug 67519 - up2date gets confused when calculating dependancies.
up2date gets confused when calculating dependancies.
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
athlon Linux
medium Severity low
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-06-26 16:00 EDT by Salim Fadhley
Modified: 2015-01-07 18:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-26 20:08:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Salim Fadhley 2002-06-26 16:00:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020606

Description of problem:
up2date works perfectly apart from the fact that I cannot update kernels. My
first notion was that the Nvidia kernel drivers were causing the fault, so I
uninstalled the RPMS - the fault persisted. 

When trying to update the kernel, I get this error message on the console used
to start up2date:

Traceback (innermost last):
  File "/usr/share/rhn/up2date_client/gui.py", line 858, in doInstallation
    kernelsToInstall = up2date.installPackages(self.selectedPkgList,
  File "/usr/share/rhn/up2date_client/up2date.py", line 2237, in installPackages
   raise DependencyError(_("Dependencies should have already been resolved, but
they are not."), deps)
up2date_client.up2date.DependencyError: RPM dependency error.  The message was:
Dependencies should have already been resolved, but they are not.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
I have only observed this error on a single system, however if you can provide
some form of ID, I can let you into the affected box to see the bug first hand.

Actual Results:  Up2date appears to hang - it needs to be X'd or Cancelled (with
the cancel button).

Just so long as I did not attempt to upgrade the kernel, things are fine.

Additional info:

I am using the Nvidia Kernel drivers - these are the only 3rd party kernel level
add-ons to the Redhat box.
Comment 1 Adrian Likins 2003-01-20 18:20:40 EST
The traceback shouldn't happen with current versions.

However, in this scenario, an update can not be performed
correctly without leaving unresolved deps. So the error
message is correct. 

Note You need to log in before you can comment on or make changes to this bug.